package main

import (
	"github.com/gshopify/service-wrapper/config"
	"github.com/spf13/pflag"
	"os"
	"time"
)

var (
	fPort    = pflag.IntP("port", "p", 80, "exposing port")
	fTimeout = pflag.DurationP("timeout", "t", 15*time.Second, "timeout duration")

	fPreset = pflag.Bool("preset", false, "config preset mode")
	fConfig = pflag.String("config", "", "config file path")
)

func init() {
	pflag.Parse()
	config.Instance()
}

func main() {
	var err error

	if *fPreset {
		err = preset()
	} else {
		config.PrintBanner()
		err = serve()
	}

	if err != nil {
		panic(err)
	}

	os.Exit(0)
}
